Bug 1731041 - GlusterFS fails on RHEL-8 during build.
Summary: GlusterFS fails on RHEL-8 during build.
Keywords:
Status: NEW
Alias: None
Product: GlusterFS
Classification: Community
Component: build
Version: 6
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: hari gowtham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 08:01 UTC by siddesh226
Modified: 2019-08-31 18:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description siddesh226 2019-07-18 08:01:12 UTC
Description of problem:
GlusterFS fails on RHEL-8 during build. 

Version-Release number of selected component (if applicable):
6.3

How reproducible:

installed dependencies:
yum install -y autoconf automake bison bzip2 flex fuse3-devel gcc git glib2-devel libacl-devel libaio-devel libibverbs librdmacm libtool libxml2-devel libuuid-devel lvm2 make openssl-devel pkgconfig python2 readline-devel wget zlib-devel nfs-utils libtirpc-devel

Steps to Reproduce:
1.git clone -b v6.1 https://github.com/gluster/glusterfs
                    
2. cd glusterfs
3. ./autogen.sh
4. ./configure --enable-gnfs

Actual results:
dict.c: In function 'dict_set_bin':
dict.c:2617:12: error: implicit declaration of function 'dict_set_bin_common'; did you mean 'dict_lookup_common'? [-Werror=implicit-function-declaration]
     return dict_set_bin_common(this, key, ptr, size, _gf_false,
            ^~~~~~~~~~~~~~~~~~~
            dict_lookup_common
cc1: some warnings being treated as errors
make[4]: *** [Makefile:997: libglusterfs_la-dict.lo] Error 1
make[3]: *** [Makefile:818: all] Error 2
make[2]: *** [Makefile:456: all-recursive] Error 1
make[1]: *** [Makefile:586: all-recursive] Error 1
make: *** [Makefile:481: all] Error 2

Expected results:
Build completes successfully

Additional info:

Comment 1 siddesh226 2019-07-18 09:14:18 UTC
CORRECTION:
FAILURE for GLUSTERFS verion 6.3.

git clone -b v6.3 https://github.com/gluster/glusterfs

Comment 2 Amar Tumballi 2019-07-27 08:41:23 UTC
The function is in the same file. Did you change anything in source?

Comment 3 siddesh226 2019-07-31 10:41:53 UTC
No changes made to the source.
Getting same failure for glusterfs v6.4 as well


Note You need to log in before you can comment on or make changes to this bug.